<button
  type="button"
  class="btn btn-primary"
  class:btn-danger="color == 'danger'"
  class:shrink="shrink"
  {disabled}
  on:click="fire('click', event)">
{text}
</button>

<style>
  .btn {
    border-radius: 5px;
    color: #fff;
    border: none;
    padding: 0.5em 1.25em;
    font-size: 1.2em;
    font-weight: 500;
  }
  .shrink {
    border-radius: 2px;
    padding: 0.25em .75em;
    font-size: 1em;
  }
  .btn-primary {
    background-color: #087F8C;
  }
  .btn:focus {
    outline: none;
  }
  .btn-primary:hover {
    background-color: #048B88;
  }
  .btn:hover {
    cursor: pointer; 
  }
  .btn-danger:hover {
    background-color: #DF2234;
  }
  .btn-danger {
    background-color: #c31a2a;
  }
</style>
